io.vertx.ext.consul

## Class ConsulServiceVerticle

- java.lang.Object
- - io.vertx.core.AbstractVerticle
  - - io.vertx.ext.consul.ConsulServiceVerticle

- All Implemented Interfaces:
    Verticle

      public class ConsulServiceVerticle
      extends AbstractVerticle

  Author:
    Ruslan Sennov

- - ### Field Summary

    - ### Fields inherited from class io.vertx.core.AbstractVerticle

      `context, vertx`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsulServiceVerticle()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `start()` If your verticle does a simple, synchronous start-up then override this method and put your start-up code in here.
    `void` | `stop()` If your verticle has simple synchronous clean-up tasks to complete then override this method and put your clean-up code in here.

    - ### Methods inherited from class io.vertx.core.AbstractVerticle

      `config, deploymentID, getVertx, init, processArgs, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.core.Verticle

      `start, stop`

- - ### Constructor Detail

    - #### ConsulServiceVerticle

          public ConsulServiceVerticle()

  - ### Method Detail

    - #### start

          public void start()
                     throws Exception

      Description copied from class: `AbstractVerticle`
      If your verticle does a simple, synchronous start-up then override this method and put your start-up code in here.
      Overrides:
        `start` in class `AbstractVerticle`
      Throws:
        `Exception`

    - #### stop

          public void stop()
                    throws Exception

      Description copied from class: `AbstractVerticle`
      If your verticle has simple synchronous clean-up tasks to complete then override this method and put your clean-up code in here.
      Overrides:
        `stop` in class `AbstractVerticle`
      Throws:
        `Exception`

Copyright © 2020 Eclipse. All rights reserved.